6.0.0-git
2019-01-23

[#8341] pure-PHP SSH/SFTP driver for VFS
Summary pure-PHP SSH/SFTP driver for VFS
Queue Horde Framework Packages
Queue Version Git master
Type Enhancement
State Accepted
Priority 1. Low
Owners
Requester zelnaga (at) gmail (dot) com
Created 2009-06-10 (3514 days ago)
Due
Updated 2009-10-05 (3397 days ago)
Assigned
Resolved
Milestone
Patch No

History
2009-10-05 18:38:49 queenzeal (at) gmail (dot) com Comment #2 Reply to this comment
phpseclib could also be used in Smime.php:



http://cvs.horde.org/co.php/framework/Crypt/lib/Horde/Crypt/Smime.php



Instead of using bcmath (if it's available), phpseclib's 
Math_BigInteger could be used.  It'll use gmp or bcmath if they're 
available and a pure-PHP implementation, otherwise.
2009-06-13 22:26:43 Chuck Hagenbuch State ⇒ Accepted
Priority ⇒ 1. Low
Version ⇒ Git master
 
2009-06-10 21:07:12 zelnaga (at) gmail (dot) com Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 2. Medium
Summary ⇒ pure-PHP SSH/SFTP driver for VFS
Queue ⇒ Horde Framework Packages
Milestone ⇒
Patch ⇒ No
Reply to this comment
In my experience, hosts with any PECL extension installed (like ssh2) 
are far and few between.  A pure-PHP implementation would be far more 
useful and usable.  Such an implementation can be found here:



http://phpseclib.sourceforge.net/

Saved Queries